Symbol files

List firmware symbol files

GET
/workspaces/{workspaceId}/firmwares/{firmwareId}/symbol-files

Authorization

API key Symbol files: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Symbol files: read

Path Parameters

workspaceId*string
Formatuuid
firmwareId*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/symbol-files"

All symbol files of all versions of the firmware.

[  {    "id": "f1Lk64dHs7Xa",    "alias": "thermostat-application-2.4.1",    "buildId": "8f3a1c9e2b7d4506",    "buildIdParsingState": "Succeeded",    "createdAt": "2026-01-10T15:32:00+00:00",    "firmwareVersion": {      "id": "r2Kt75mXc8Vd",      "name": "2.4.1"    }  },  {    "id": "k7Pw29nBv4Qe",    "alias": "thermostat-application-2.4.0",    "buildId": "3c9b7e1f5a2d8604",    "buildIdParsingState": "Succeeded",    "createdAt": "2025-12-02T09:14:00+00:00",    "firmwareVersion": {      "id": "h5Wn38sLq2Tb",      "name": "2.4.0"    }  }]